#!/usr/bin/python

from Adafruit_PWM_Servo_Driver import PWM
import time

# Initialise the PWM device 

try:
	pwm0 = PWM(0x40, debug=True)
	pwm1 = PWM(0x41, debug=True)
	pwm2 = PWM(0x42, debug=True)
	pwm3 = PWM(0x43, debug=True)

except:
	exit()

# Set frequency to 60 Hz

pwm0.setPWMFreq(50)                        
pwm1.setPWMFreq(50)
pwm2.setPWMFreq(50)
pwm3.setPWMFreq(50)

# Creation de la table d'acces aux servos

tabServo = []
tabPWM = [pwm0, pwm1]

for i in range(2):
	for j in range (16):
		tabServo.append([tabPWM[i], j])

for i in range (15):
	tabServo.append([pwm2, i])
    
tabServo.append([pwm3, 0])
tabServo.append([pwm3, 1])

tabMinMax = [
[0,  305, 330], [1,  305, 370], [2,  305, 340], [3,  300, 360], [4, 300, 330],  [5,  320, 370], [6, 310, 340],  [7,  320, 360], [8,  290, 320], [9,  280, 360],
[10, 300, 340], [11, 240, 340], [12, 310, 340], [13, 290, 340], [14, 320, 360], [15, 310, 360], [16, 320, 370], [17, 300, 340], [18, 310, 350], [19, 305, 350], 
[20, 320, 370], [21, 250, 330], [22, 310, 350], [23, 300, 355], [24, 310, 350], [25, 230, 360], [26, 310, 350], [27, 320, 360], [28, 340, 370], [29, 330, 380], 
[30, 340, 370], [31, 330, 360], [32, 325, 350], [33, 350, 390], [34, 310, 340], [35, 320, 360], [36, 310, 340], [37, 310, 370], [38, 310, 350], [39, 340, 390], 
[40, 330, 370], [41, 350, 390], [42, 320, 350], [43, 260, 340], [44, 290, 320], [45, 230, 300], [46, 320, 360], [47, 320, 390], [48, 270, 340], [49, 360, 360]
]
#

tps = 0.2

def play_note (n):

		tabServo[n][0].setPWM(tabServo[n][1], 0, tabMinMax[n][1])
		time.sleep(tps)
		tabServo[n][0].setPWM(tabServo[n][1], 0, tabMinMax[n][2])
#		time.sleep(tps)


def initialisation ():

	for n in range(46):

		tabServo[n][0].setPWM(tabServo[n][1], 0, tabMinMax[n][2])


def ga (i):
	for i in range (i):
		play_note(i)
		#time.sleep(0.2)

#for i in range (20):
#	play_note(23)
#	time.sleep(1)

#initialisation ()
#play_note(48)
ga(49)


